Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2105042 (rust-json5) - Review Request: rust-json5 - Rust JSON5 serializer and deserializer which speaks Serde
Summary: Review Request: rust-json5 - Rust JSON5 serializer and deserializer which spe...
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-json5
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT fido-fdo 2105044
TreeView+ depends on / blocked
 
Reported: 2022-07-07 18:45 UTC by Peter Robinson
Modified: 2022-07-18 08:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-17 17:37:21 UTC
Type: Bug
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2022-07-07 18:45:18 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-json5.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-json5-0.4.1-1.fc36.src.rpm

Description:
Rust JSON5 serializer and deserializer which speaks Serde

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=89205477

FAS: pbrobinson

Comment 1 Fabio Valentini 2022-07-16 20:09:01 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (ISC) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add @rust-sig with "commit" access as package co-maintainer

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 2 Kevin Fenzi 2022-07-17 16:30:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-json5

Comment 3 Fabio Valentini 2022-07-17 17:41:00 UTC
Please also build this package on f36 and f35. Maintaining consistency across branches, where possible, makes keeping the Rust stack in working state much easier for me, and reduces the likelihood of unexpected breakage.

Comment 4 Peter Robinson 2022-07-18 08:12:39 UTC
I hadn't planned to (I don't have a need) but sure.


Note You need to log in before you can comment on or make changes to this bug.